Subject: Re: Job | Tech Support Remote Screening
From: Rajbhan Vishwakarma <[email-masked]>
To: [email-masked]
Date: Mon, 30 Nov 2020 22:07:10 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

1577 Applicants

View All

Rajbhan Vishwakarma
A capable, talented and lively technical professional who possess high levels of accuracy and attention to detail, good organizational abilities, and is able to perform well in a fast paced, demanding environment. I am self-motivated, with an enthusiastic and passionate manner about providing good service in everything that I do. I am constantly looking for ways to improve administrative processes so that tasks get done more effectively. Right now I am looking to work for an exciting company that is committed to excellence.

Shortlist

Reject

Current Designation Not Mentioned
Current Company Not Mentioned
Notice Period 1 Months
Previous Designation Client Relationship Manager
Previous Company Dynakode Technology

Contact Details
Mobile:

Exp
3 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Madhya Pradesh - Other, Delhi / NCR
Education
B.Sc
Awadhesh Pratap Singh University, Rewa, M.P.
Key Skills
vendor management, advanced excel, mis, strategy, operations, customer support, Google Apps, Team Management, Database, Attendance Management, MIS Reporting, Client Relationship Management

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem